namespace InABox.Avalonia.Platform;

public interface IConnectedBluetoothDevice : IBluetoothDevice
{

    Task<bool> WriteBytesAsync(Guid serviceid, Guid characteristicid, byte[] data);
     
    Task<bool> WriteStringAsync(Guid serviceid, Guid characteristicid, string data);
     
    Task<byte[]?> ReadBytesAsync(Guid serviceid, Guid characteristicid);
     
    Task<string?> ReadStringAsync(Guid serviceid, Guid characteristicid);
}